LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
current_context.hxx File Reference
`#include <uno/current_context.h>`
`#include <uno/lbnames.h>`
`#include <com/sun/star/uno/XCurrentContext.hpp>`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::ContextLayer
| Objects of this class are used for applying a current context until they are destructed, i.e. More...

## Namespaces
| com
| com::sun
| com::sun::star
| com::sun::star::uno

## Functions
Reference< XCurrentContext > | com::sun::star::uno::getCurrentContext ()
| Getting the current context. More...
bool | com::sun::star::uno::setCurrentContext (Reference< XCurrentContext > const &xContext)
| Setting the current context. More...